/* SOURCE: https://code-boxx.com/simple-responsive-navigation-menu/  */

#hamNav {
    background: #fff;
    width: 100%;
    max-width: 100%;
    z-index: 1000;
    margin: 0 auto;
    box-sizing: border-box;
    padding: 0;
    /* border: 1px dashed blue; */
}

/* SHOW HAMBURGER ICON */
#hamNav label {
    display: block;
    text-align: center;
    margin-bottom: 10px;
    font-size: 2em;
    cursor: pointer;
}

#hamNav,
#hamItems a {
    padding: 10px;
    color: #e30172;
    font-weight: bold;
    text-decoration: none;
}

#hamItems a:hover,
#hamNav label:hover {
    color: white;
    background: #e30172;
}

/* HIDE CHECKBOX */
#hamburger {
    display: none;
}

/* BREAK ITEMS INTO SINGLE COLUMN */
#hamItems {
    flex-direction: column;
    text-align: center;
}

/* (B3) TOGGLE SHOW/HIDE */
#hamItems {
    display: none;
}

#hamNav input:checked ~ #hamItems {
    display: flex;
}

/* reconfigure for larger screens */
@media only screen and (min-width: 900px) {
    #hamNav {
        width: 900px;
        max-width: 100%;
        margin: auto;
    }

    /* (A) BIG SCREEN */
    /* (A1) HORIZONTAL MENU ********************************/
    #hamItems {
        display: flex;
        flex-direction: row;
    }

    #hamItems a {
        width: 100%;
        text-align: center;
    }

    /* (A2) HIDE HAMBURGER ICON ********************************/
    #hamNav label,
    #hamburger {
        display: none;
    }
}

/* END @media */

/***** Navbar Current page */
body#home #navHome,
body#bio #navBio,
body#shows #navShows,
body#pics #navPics,
body#media #navMedia,
body#quotes #navQuotes,
body#cdstore #navCDstore,
body#booking #navBooking,
body#contact #navContact {
    color: white;
    background-color: #e30172;
}

/* Social icons ****************************/
#socialicons {
    width: 100%;
    max-width: 100%;
    border-top: 1px solid var(--pinkLighter);
    margin: auto;
    text-align: right;
}

img.socialbtn {
    opacity: 0.8;
    -moz-opacity: 0.8;
    filter: alpha(opacity=80);
    height: min(30px, 7vw);
    width: min(30px, 7vw);
    margin: 3px;
    transition: 0.3s;
}

img.socialbtn:hover {
    opacity: 1;
    -moz-opacity: 1;
    filter: alpha(opacity=100);
    transition: 0.3s;
    scale: 1.2;
}

@media only screen and (min-width: 900px) {
    img.socialbtn {
        height: 30px;
        width: 30px;
        margin: 5px;
    }
}
